QGIS Application - Bug report #21268
Loading zipped shapefile throws OGR warning
2019-02-14 11:55 AM - Alexandre Neto

Status: Closed
Priority: Low
Assignee:

Category: Data Provider

Affected QGIS version:3.5(master)

Operating System: Windows and Linux at least
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution:

Copied to github as #: 29086

Description

Trying to load a zipped shapefile on QGIS throws a warning message in the OGR log, but the layer is loaded anyway.

2019-02-13T21:10:04 WARNING Cannot open C:\Users\user\Desktop\albu.zip.()

This happens when you load the layer using the Add vector layer option and by drag and drop, but not when the Browser panel is used.

This does not happen on QGIS 2.18

Associated revisions

Revision 407adc76 - 2019-02-15 11:24 PM - Jiirgen Fischer

Expand Zipltem in foreground (fixes #21268)

Revision ef508c05 - 2019-02-16 12:00 AM - Jiirgen Fischer

Expand Zipltem in foreground (fixes #21268)

(cherry picked from commit 407adc761ebe224a2d72df65551cdcf2addf1735)

History

#1 - 2019-02-15 01:08 PM - Tobias Wendorff
- Regression? changed from No to Yes

| can verify this, but it is even worse: it also happens to GPKG files when using drag & drop.

#2 - 2019-02-15 11:23 PM - Jiirgen Fischer
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|407adc761ebe224a2d72df65551cdcf2addf1735.
